<template>
	<view class="text-center pd-b-px-55">
		<van-sticky>
			<van-nav-bar
					  title="申请售后"
					  left-arrow
					  @click-left="onClickLeft"
			>
				<template #left>
					<van-icon name="arrow-left" size="25" color="#323233" />
				</template>
			</van-nav-bar>
		</van-sticky>
		<van-image style="width: 100%" :src="that.userInfo.imgUrl" />
		<p style="font-size: 14px;text-align: center;color: #bfbfbf;margin-top: 20px">用心为您服务</p>
		<van-row style="background: #ffffff;position: fixed;bottom: 0;width: 100%">
			<van-col span="12" style="border-right: 1px solid #f9f9f9;text-align: center;padding: 16px" @click="goto('/pages/good/contact')">
				<van-icon name="phone-circle-o" size="20px" style="color: #fe7e58;margin-right: 6px" />
				联系商家
			</van-col>
			<van-col span="12" style="text-align: center;padding: 16px" @click="goto('/pages/order/customerService')">
				<van-icon name="service-o" size="20px" style="color: #fe7e58;margin-right: 6px" />
				平台介入
			</van-col>
		</van-row>
	</view>
</template>

<script setup lang="ts">
    import api from "@/api";
    import {reactive,onMounted} from 'vue';

    const that = reactive({
	  userInfo:{}
    })
    onMounted(() => {
        afterSaleImg()
    })
    function afterSaleImg() {
        api.afterSaleImg().then((res: any) => {
            that.userInfo=res
        })
    }
    function goto(url: any) {
        url && uni.navigateTo({ url })
    }
    function onClickLeft() {
        history.back()
    }
</script>

<style scoped>

</style>